# Loki::CreateStatic< T > Struct Template Reference
[Creation policies]

`#include <Singleton.h>`

List of all members.

## Detailed Description

### template<class T>
struct Loki::CreateStatic< T >

Implementation of the CreationPolicy used by SingletonHolder Creates an object in static memory Implementation is slightly nonportable because it uses the MaxAlign trick (an union of all types to ensure proper memory alignment). This trick is nonportable in theory but highly portable in practice.

The documentation for this struct was generated from the following file:

- Singleton.h